Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515962 - RFE: provide a way to debug the scheduler decisions through logging [NEEDINFO]
Summary: RFE: provide a way to debug the scheduler decisions through logging
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Derek Carr
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 17:08 UTC by François Cami
Modified: 2018-03-20 16:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
fcami: needinfo? (decarr)


Attachments (Terms of Use)

Description François Cami 2017-11-21 17:08:40 UTC
Description of problem:
In some cases, pods gets scheduled in the same zone even if two identical zones with identical pods are available. However, there is no way to easily debug this as the decisions the scheduler makes are not logged.

It would be nice if all the filtering, prioritization and selection as in:
https://docs.openshift.com/container-platform/3.5/admin_guide/scheduler.html#default-scheduler-policy
was provided in the logs once the debug level is properly set.

Comment 3 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.